package org.bench4q.recorder.httpcapture.generator;

import org.bench4q.recorder.httpcapture.ProxyServer;

public interface IScriptGenerator extends ProxyServer.Observer {
	public static final String EOL = System.getProperty("line.separator");

	public abstract String[] getValidFileExtensions();

	public abstract String parseTestName();

	public abstract void doStartRecording();

	public abstract void doStopRecording();

	public abstract void doNew();

	public abstract boolean doSave(String paramString1, String paramString2);

	public abstract void doLoad();

	public abstract void close();
}
